[arch-commits] Commit in ktorrent/repos (3 files)

Ronald van Haren ronald at archlinux.org
Mon Apr 20 04:31:00 EDT 2009


    Date: Monday, April 20, 2009 @ 04:31:00
  Author: ronald
Revision: 36178

Merged revisions 36175,36177 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/ktorrent/trunk

........
  r36175 | ronald | 2009-04-20 10:09:09 +0200 (Mon, 20 Apr 2009) | 1 line
  
  upgpkg: ktorrent 3.2.1-1
........
  r36177 | ronald | 2009-04-20 10:29:37 +0200 (Mon, 20 Apr 2009) | 1 line
  
  upgpkg: ktorrent 3.2.1-1
........

Modified:
  ktorrent/repos/extra-i686/	(properties)
  ktorrent/repos/extra-i686/PKGBUILD
Deleted:
  ktorrent/repos/extra-i686/ChangeLog

-----------+
 ChangeLog |   10 ----------
 PKGBUILD  |   15 ++++++++-------
 2 files changed, 8 insertions(+), 17 deletions(-)


Property changes on: ktorrent/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /ktorrent/trunk:1-27570
   + /ktorrent/trunk:1-36177

Deleted: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-04-20 08:29:37 UTC (rev 36177)
+++ extra-i686/ChangeLog	2009-04-20 08:31:00 UTC (rev 36178)
@@ -1,10 +0,0 @@
-2008-06-22 Travis Willard <travis at archlinux.org>
-
-	* 2.2.7-1
-	New upstream release.
-
-2008-01-27 Travis Willard <travis at archlinux.org>
-
-	* 2.2.5-1
-	Added ChangeLog
-	New upstream release.

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-20 08:29:37 UTC (rev 36177)
+++ extra-i686/PKGBUILD	2009-04-20 08:31:00 UTC (rev 36178)
@@ -4,30 +4,31 @@
 # Contributor: Georg Grabler <ggrabler at gmail.com>
 
 pkgname=ktorrent
-pkgver=3.2
+pkgver=3.2.1
 pkgrel=1
 pkgdesc="A BitTorrent program for KDE"
 arch=('i686' 'x86_64')
 url="http://ktorrent.org"
 license=('GPL2')
-depends=('kdelibs>4' 'gmp' 'qca' 'libxft' 'kdebase-runtime')
+depends=('kdelibs>4' 'gmp' 'qca' 'libxft' 'kdebase-runtime' 'taglib')
 # 'kdebase-runtime' is needed for some of the icons in the interface to show
-makedepends=('autoconf' 'perl' 'automoc4' 'cmake' 'kdepimlibs')
+makedepends=('autoconf' 'perl' 'automoc4' 'cmake' 'kdepimlibs' 'kdebase-workspace')
+# 'kdebase-workspace' is needed to enable plasmoid building
 source=(http://ktorrent.org/downloads/$pkgver/${pkgname}-${pkgver}.tar.bz2 \
 	httpserver.patch)
 install=$pkgname.install
 options=('libtool')
-md5sums=('e215de7a711b3f9c33044bf97a6d8bfb'
+md5sums=('a013e070af30fe199d51910ebbdba5f5'
          '1f25b94615b0bbfa0457c99fb20de3e6')
 
 build() {
 	cd ${srcdir}/$pkgname-$pkgver
 
 	# build time patch
-	patch -Np0 -i $srcdir/httpserver.patch || return 1
+	patch -Np0 -i ${srcdir}/httpserver.patch || return 1
 
 	cmake .	-DCMAKE_BUILD_TYPE=Release \
-		-DCMAKE_INSTALL_PREFIX=/usr || return 1
+		-DCMAKE_INSTALL_PREFIX=/usr 
 	make || return 1
-	make DESTDIR=${pkgdir} install || return 1
+	make DESTDIR=${pkgdir} install 
 }



More information about the arch-commits mailing list